import { check } from 'k6';
import http from 'k6/http';
import exec from 'k6/execution';


const URL = "http://localhost:9001"

function create_req() {
    const id = exec.scenario.iterationInTest
    return JSON.stringify({
        customer_id: id,
        name: 'Абырвалг'
    })
}

export default function () {
    const res = http.post(URL + "/customer", create_req(), {
        headers: { 'Content-type': 'application/json' },
    });

    check(res, { 'status 200': (r) => r.status === 200 });
}
