use std::fmt;

use crate::package;

mod sharded;
mod space;

pub use sharded::Filter as Shard;
pub use space::Filter as Space;

/// Trait which allows to filter incoming replication
/// packages to decide whether to process them or not.
pub trait Filter: fmt::Display {
    fn apply(&self, package: package::Package) -> package::Package;
}
