#![allow(clippy::from_over_into)]
#![allow(clippy::upper_case_acronyms)]
#![allow(clippy::new_without_default)]
#![allow(clippy::cast_precision_loss)]
#![allow(clippy::too_many_lines)]
#![allow(clippy::linkedlist)]
#![allow(clippy::needless_pass_by_value)]
#![allow(clippy::unused_self)]

mod config;
mod data;
mod error;
mod filter;
mod limbo;
mod lua;
mod metrics;
mod package;
mod processor;
mod reader;
mod replicator;
mod sidecar;
mod types;
mod worker;
mod writer;

pub use error::Error;
pub use metrics::collect as collect_metrics;
pub use replicator::Replicator;

pub(crate) const READER_BUFFER_SIZE: usize = 10000;
pub(crate) const WRITER_BUFFER_SIZE: u32 = 1000;
